classification
Title: In Lib\tkinter\filedialog.py, class Directory define loss a"_"
Type: Stage:
Components: Tkinter Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, gpolo, lion.guo
Priority: release blocker Keywords: patch

Created on 2008-11-24 09:14 by lion.guo, last changed 2008-12-31 14:51 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
Directory_fix_subclass.diff gpolo, 2008-11-24 11:13
Messages (6)
msg76312 - (view) Author: (lion.guo) Date: 2008-11-24 09:14
In Lib\tkinter\filedialog.py, class Directory 

"class Directory(Dialog):"
 should be 

"class Directory(_Dialog):"
msg76317 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-11-24 11:13
Actually it should be commondialog.Dialog
msg76319 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-11-24 11:16
It is important to commit this actually, since right now
tkinter.filedialog.Directory is pretty broken but also very simple to fix.
msg77285 - (view) Author: (lion.guo) Date: 2008-12-08 03:07
Why didn't include this patch in python 3.0 ????
msg78607 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-12-31 13:49
I'm moving this to release blocker since it went unnoticed in the 3.0
release.
msg78610 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-12-31 14:51
Fixed in r68103.
History
Date User Action Args
2009-01-16 07:05:47loewislinkissue4960 superseder
2008-12-31 14:51:32benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg78610
nosy: + benjamin.peterson
2008-12-31 13:49:13gpolosetpriority: release blocker
messages: + msg78607
2008-12-08 03:07:12lion.guosetmessages: + msg77285
2008-11-24 11:16:43gpolosettype: compile error ->
messages: + msg76319
components: + Tkinter, - Library (Lib)
2008-11-24 11:13:41gpolosetfiles: + Directory_fix_subclass.diff
keywords: + patch
messages: + msg76317
nosy: + gpolo
2008-11-24 09:17:16lion.guosettype: compile error
components: + Library (Lib), - Tests
2008-11-24 09:14:38lion.guocreate